Base URL: https://demo-api.incodesmile.com — Incode demo environment
Sends information about collected capture frame statistics
Path & query parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
api-version |
header | string | yes |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
inspectorOpened |
boolean | Flag indicating web browser inspector detected | |
frontIdStatsAnalysisStatus |
string | Status of the front ID capture analysis Enum: PASS, UNCLEAR, FAIL |
|
backIdStatsAnalysisStatus |
string | Status of the back ID capture analysis Enum: PASS, UNCLEAR, FAIL |
|
selfieStatsAnalysisStatus |
string | Status of the selfie ID capture analysis Enum: PASS, UNCLEAR, FAIL |
|
motionStatus |
string | Status of motion analysis Enum: PASS, UNCLEAR, FAIL |
|
virtualCameraDetected |
boolean | Flag indicating virtual camera was detected | |
cameraLabelInspectionStatus |
string | Status of the camera label inspection Enum: PASS, UNCLEAR, FAIL |
Responses
200
OK
Response body (application/json):
| Field | Type | Required | Description |
|---|---|---|---|
success |
boolean | Flag indicating request passed successfully. | |
sessionStatus |
string | Session status Enum: Alive, Closed, Deleted |
400
Bad Request
Response body (application/json):
| Field | Type | Required | Description |
|---|---|---|---|
timestamp |
integer (int64) | UTC timestamp in milliseconds | |
status |
integer (int32) | Custom error code or HTTP status code | |
error |
string | HTTP status error | |
message |
string | Custom error message | |
path |
string | Endpoint path | |
details |
object | Custom error details |